package com.sqx.modules.bl.order.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sqx.modules.bl.order.entity.UserPackageDetail;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface UserPackageDetailDao extends BaseMapper<UserPackageDetail> {

    List<UserPackageDetail> findDetailList(UserPackageDetail userPackageDetail);

    List<UserPackageDetail> findDetailUsedQuantity(UserPackageDetail userPackageDetail);

    List<UserPackageDetail> findLcDetailUsedQuantity(UserPackageDetail userPackageDetail);

    List<UserPackageDetail> findMassagePackageDetails(UserPackageDetail userPackageDetail);

    int insert(UserPackageDetail userPackageDetail);

    UserPackageDetail getMyPackageDetail(Long id);

    UserPackageDetail getMyPackageDetailNoId(Long mainId,Long massageTypeId);

    UserPackageDetail findMassagePackageDetailsUsed(Long mainId);

    int deleteDetailByMain(Long mainId);

}